AntiFeatures:
  - Tracking
Categories:
  - Internet
License: Apache-2.0
AuthorName: Wikimedia
AuthorWebSite: https://www.wikimedia.org/
WebSite: https://www.mediawiki.org/wiki/Wikimedia_Apps
SourceCode: https://github.com/wikimedia/apps-android-wikipedia
IssueTracker: https://phabricator.wikimedia.org/project/profile/489/
Translation: https://translatewiki.net/wiki/Translating:WikimediaMobile
Changelog: https://www.mediawiki.org/wiki/Mobile/Release_history#Wikipedia_Android_app
Donate: https://donate.wikimedia.org

AutoName: Wikipedia

RepoType: git
Repo: https://github.com/wikimedia/apps-android-wikipedia.git

Builds:
  - versionName: '1.0'
    versionCode: 1
    disable: repo change
    commit: v1.0-android

  - versionName: 1.0.2
    versionCode: 3
    disable: repo change
    commit: a1dc1d87ac85351f44babbb9101e2311e89924b3

  - versionName: 1.0.3
    versionCode: 4
    disable: repo change
    commit: 68957ccea4209347833997169f1bcf298beee7d9

  - versionName: 1.1.1
    versionCode: 11
    disable: repo change
    commit: 9c630ba8b5e65ccd284e8c87501a8475e8bc07c5

  - versionName: '1.2'
    versionCode: 16
    disable: repo change
    commit: b259ea459bd4494126e582ef5833c87d54a7b595
    submodules: true

  - versionName: 1.2.1
    versionCode: 17
    disable: repo change
    commit: 8c03dda8e
    submodules: true

  - versionName: '1.3'
    versionCode: 20
    disable: repo change
    commit: 178a72271b9f
    submodules: true

  - versionName: 1.4beta1
    versionCode: 21
    disable: Skip beta

  - versionName: 1.3.1
    versionCode: 22
    disable: repo change
    commit: 2392caf4
    submodules: true

  - versionName: 1.3.2
    versionCode: 23
    disable: repo change
    commit: b91647636
    submodules: true

  - versionName: 1.3.4
    versionCode: 25
    disable: repo change
    commit: 8e7d8a932
    submodules: true
    scanignore:
      - Cordova.framework/Cordova

  - versionName: dev
    versionCode: 76
    disable: see notes
    commit: releasesprod/2.0-releasesprod-2014-08-13

  - versionName: 2.0-r-2014-10-14
    versionCode: 84
    commit: r/2.0-r-2014-10-14
    subdir: wikipedia
    gradle:
      - prod
    srclibs:
      - MediaWikiApi@32b5b87d0a57900eaa5d7e78d5623cd76f8951b3
    forceversion: true
    prebuild:
      - sed -i -e '/wmflabs/d' -e '/jcenter/amavenLocal()' ../build.gradle
      - pushd $$MediaWikiApi$$
      - sed -i -e '/<plugins>/a<plugin><artifactId>maven-compiler-plugin</artifactId><version>3.0</version><configuration><source>1.7</source><target>1.7</target></configuration></plugin>'
        pom.xml
      - $$MVN3$$ install
      - popd

  - versionName: 2.0.109-fdroid
    versionCode: 109
    commit: r/2.0.109-r-2015-08-21
    subdir: app
    init: sed -i '/sonatype/d' ../build.gradle
    gradle:
      - custom
    forceversion: true
    gradleprops:
      - customChannel=fdroid
      - customApplicationId=org.wikipedia

  - versionName: 2.0.110-fdroid
    versionCode: 110
    commit: r/2.0.110-r-2015-08-31
    subdir: app
    init: sed -i '/sonatype/d' ../build.gradle
    gradle:
      - custom
    forceversion: true
    gradleprops:
      - customChannel=fdroid
      - customApplicationId=org.wikipedia

  - versionName: 2.1.131-fdroid
    versionCode: 131
    commit: r/2.1.131-r-2015-09-28
    subdir: app
    init: sed -i '/sonatype/d' ../build.gradle
    gradle:
      - custom
    forceversion: true
    gradleprops:
      - customChannel=fdroid
      - customApplicationId=org.wikipedia

  - versionName: 2.1.132-fdroid
    versionCode: 132
    commit: r/2.1.132-r-2015-10-23
    subdir: app
    init: sed -i '/sonatype/d' ../build.gradle
    gradle:
      - custom
    forceversion: true
    gradleprops:
      - customChannel=fdroid
      - customApplicationId=org.wikipedia

  - versionName: 2.1.133-fdroid
    versionCode: 133
    commit: r/2.1.133-r-2015-10-26
    subdir: app
    init: sed -i '/sonatype/d' ../build.gradle
    gradle:
      - custom
    forceversion: true
    gradleprops:
      - customChannel=fdroid
      - customApplicationId=org.wikipedia

  - versionName: 2.1.134-fdroid
    versionCode: 134
    commit: r/2.1.134-r-2015-11-12
    subdir: app
    init: sed -i '/sonatype/d' ../build.gradle
    gradle:
      - custom
    forceversion: true
    gradleprops:
      - customChannel=fdroid
      - customApplicationId=org.wikipedia

  - versionName: 2.1.135-fdroid
    versionCode: 135
    commit: r/2.1.135-r-2015-12-03
    subdir: app
    init: sed -i '/sonatype/d' ../build.gradle
    gradle:
      - custom
    forceversion: true
    gradleprops:
      - customChannel=fdroid
      - customApplicationId=org.wikipedia

  - versionName: 2.1.136-fdroid
    versionCode: 136
    commit: r/2.1.136-r-2015-12-09
    subdir: app
    init: sed -i '/sonatype/d' ../build.gradle
    gradle:
      - custom
    forceversion: true
    gradleprops:
      - customChannel=fdroid
      - customApplicationId=org.wikipedia

  - versionName: 2.1.137-fdroid
    versionCode: 137
    commit: r/2.1.137-r-2016-01-11
    subdir: app
    init: sed -i '/sonatype/d' ../build.gradle
    gradle:
      - custom
    forceversion: true
    gradleprops:
      - customChannel=fdroid
      - customApplicationId=org.wikipedia

  - versionName: 2.1.139-fdroid
    versionCode: 139
    commit: r/2.1.139-r-2016-01-22
    subdir: app
    init: sed -i '/sonatype/d' ../build.gradle
    gradle:
      - custom
    forceversion: true
    gradleprops:
      - customChannel=fdroid
      - customApplicationId=org.wikipedia

  - versionName: 2.1.140-fdroid
    versionCode: 140
    commit: r/2.1.140-r-2016-02-04
    subdir: app
    init: sed -i '/sonatype/d' ../build.gradle
    gradle:
      - custom
    forceversion: true
    gradleprops:
      - customChannel=fdroid
      - customApplicationId=org.wikipedia

  - versionName: 2.1.141-fdroid
    versionCode: 141
    commit: r/2.1.141-r-2016-02-10
    subdir: app
    init: sed -i '/sonatype/d' ../build.gradle
    gradle:
      - custom
    forceversion: true
    gradleprops:
      - customChannel=fdroid
      - customApplicationId=org.wikipedia

  - versionName: 2.1.143-fdroid
    versionCode: 143
    commit: r/2.1.143-r-2016-03-23
    subdir: app
    init: sed -i '/sonatype/d' ../build.gradle
    gradle:
      - fdroid
    forceversion: true

  - versionName: 2.3.150-fdroid
    versionCode: 150
    commit: r/2.3.150-r-2016-07-25
    subdir: app
    init: sed -i '/sonatype/d' ../build.gradle
    gradle:
      - fdroid
    forceversion: true

  - versionName: r/2.3.152-r-2016-08-18
    versionCode: 152
    commit: r/2.3.152-r-2016-08-18
    subdir: app
    init: sed -i '/sonatype/d' ../build.gradle
    gradle:
      - fdroid
    forceversion: true

  - versionName: beta/2.4.156-beta-2016-09-19
    versionCode: 156
    disable: remove prerelease
    commit: beta/2.4.156-beta-2016-09-19
    subdir: app
    init: sed -i '/sonatype/d' ../build.gradle
    gradle:
      - fdroid
    forceversion: true

  - versionName: r/2.4.157-r-2016-09-28
    versionCode: 157
    commit: r/2.4.157-r-2016-09-28
    subdir: app
    init: sed -i '/sonatype/d' ../build.gradle
    gradle:
      - fdroid
    forceversion: true

  - versionName: r/2.4.160-r-2016-10-14
    versionCode: 160
    commit: r/2.4.160-r-2016-10-14
    subdir: app
    init: sed -i '/sonatype/d' ../build.gradle
    gradle:
      - fdroid
    forceversion: true

  - versionName: r/2.4.183-r-2016-12-08
    versionCode: 183
    commit: r/2.4.183-r-2016-12-08
    subdir: app
    init: sed -i '/sonatype/d' ../build.gradle
    gradle:
      - fdroid
    forceversion: true

  - versionName: r/2.4.184-r-2016-12-14
    versionCode: 184
    commit: r/2.4.184-r-2016-12-14
    subdir: app
    init: sed -i '/sonatype/d' ../build.gradle
    gradle:
      - fdroid
    forceversion: true

  - versionName: r/2.5.190-r-2017-02-24
    versionCode: 190
    commit: r/2.5.190-r-2017-02-24
    subdir: app
    init: sed -i '/sonatype/d' ../build.gradle
    gradle:
      - fdroid
    forceversion: true

  - versionName: r/2.5.191-r-2017-03-31
    versionCode: 191
    commit: r/2.5.191-r-2017-03-31
    subdir: app
    init: sed -i '/sonatype/d' ../build.gradle
    gradle:
      - fdroid
    forceversion: true

  - versionName: r/2.5.195-r-2017-04-21
    versionCode: 194
    commit: r/2.5.195-r-2017-04-21
    subdir: app
    init: sed -i '/sonatype/d' ../build.gradle
    gradle:
      - fdroid
    forceversion: true

  - versionName: r/2.6.203-r-2017-08-28
    versionCode: 203
    commit: r/2.6.203-r-2017-08-28
    subdir: app
    init: sed -i '/sonatype/d' ../build.gradle
    gradle:
      - fdroid
    forceversion: true

  - versionName: r/2.7.222-r-2017-12-15
    versionCode: 222
    commit: r/2.7.222-r-2017-12-15
    subdir: app
    init: sed -i '/sonatype/d' ../build.gradle
    gradle:
      - fdroid
    forceversion: true

  - versionName: r/2.7.225-r-2018-02-06
    versionCode: 225
    commit: r/2.7.225-r-2018-02-06
    subdir: app
    init: sed -i '/sonatype/d' ../build.gradle
    gradle:
      - fdroid
    forceversion: true

  - versionName: r/2.7.231-r-2018-04-09
    versionCode: 231
    commit: r/2.7.231-r-2018-04-09
    subdir: app
    init: sed -i '/sonatype/d' ../build.gradle
    gradle:
      - fdroid
    forceversion: true

  - versionName: r/2.7.232-r-2018-04-17
    versionCode: 232
    commit: r/2.7.232-r-2018-04-17
    subdir: app
    init: sed -i '/sonatype/d' ../build.gradle
    gradle:
      - fdroid
    forceversion: true

  - versionName: r/2.7.236-r-2018-06-25
    versionCode: 236
    commit: r/2.7.236-r-2018-06-25
    subdir: app
    init: sed -i '/sonatype/d' ../build.gradle
    gradle:
      - fdroid
    forceversion: true
    prebuild: sed -i -e 's/enable true/enable false/' -e '/defaultConfig {/a ndk{abiFilters
        "arm64-v8a", "armeabi-v7a", "x86", "x86_64"}' build.gradle

  - versionName: r/2.7.237-r-2018-06-27
    versionCode: 237
    commit: r/2.7.237-r-2018-06-27
    subdir: app
    init: sed -i '/sonatype/d' ../build.gradle
    gradle:
      - fdroid
    forceversion: true
    prebuild: sed -i -e 's/enable true/enable false/' -e '/defaultConfig {/a ndk{abiFilters
        "arm64-v8a", "armeabi-v7a", "x86", "x86_64"}' build.gradle

  - versionName: r/2.7.238-r-2018-07-30
    versionCode: 238
    commit: r/2.7.238-r-2018-07-30
    subdir: app
    init: sed -i '/sonatype/d' ../build.gradle
    gradle:
      - fdroid
    forceversion: true
    prebuild: sed -i -e 's/enable true/enable false/' -e '/defaultConfig {/a ndk{abiFilters
        "arm64-v8a", "armeabi-v7a", "x86", "x86_64"}' build.gradle

  - versionName: r/2.7.239-r-2018-07-31
    versionCode: 239
    commit: r/2.7.239-r-2018-07-31
    subdir: app
    init: sed -i '/sonatype/d' ../build.gradle
    gradle:
      - fdroid
    forceversion: true
    prebuild: sed -i -e 's/enable true/enable false/' -e '/defaultConfig {/a ndk{abiFilters
        "arm64-v8a", "armeabi-v7a", "x86", "x86_64"}' build.gradle

  - versionName: r/2.7.260-r-2018-10-19
    versionCode: 260
    commit: r/2.7.260-r-2018-10-19
    subdir: app
    init: sed -i '/sonatype/d' ../build.gradle
    gradle:
      - fdroid
    forceversion: true
    prebuild: sed -i -e 's/enable true/enable false/' -e '/defaultConfig {/a ndk{abiFilters
        "arm64-v8a", "armeabi-v7a", "x86", "x86_64"}' build.gradle

  - versionName: r/2.7.261-r-2018-10-23
    versionCode: 261
    commit: r/2.7.261-r-2018-10-23
    subdir: app
    init: sed -i '/sonatype/d' ../build.gradle
    gradle:
      - fdroid
    forceversion: true
    prebuild: sed -i -e 's/enable true/enable false/' -e '/defaultConfig {/a ndk{abiFilters
        "arm64-v8a", "armeabi-v7a", "x86", "x86_64"}' build.gradle

  - versionName: r/2.7.262-r-2018-10-24
    versionCode: 262
    commit: r/2.7.262-r-2018-10-24
    subdir: app
    init: sed -i '/sonatype/d' ../build.gradle
    gradle:
      - fdroid
    forceversion: true
    prebuild: sed -i -e 's/enable true/enable false/' -e '/defaultConfig {/a ndk{abiFilters
        "arm64-v8a", "armeabi-v7a", "x86", "x86_64"}' build.gradle

  - versionName: r/2.7.263-r-2018-10-29
    versionCode: 263
    commit: r/2.7.263-r-2018-10-29
    subdir: app
    init: sed -i '/sonatype/d' ../build.gradle
    gradle:
      - fdroid
    forceversion: true
    prebuild: sed -i -e 's/enable true/enable false/' -e '/defaultConfig {/a ndk{abiFilters
        "arm64-v8a", "armeabi-v7a", "x86", "x86_64"}' build.gradle

  - versionName: r/2.7.265-r-2018-11-19
    versionCode: 265
    commit: r/2.7.265-r-2018-11-19
    subdir: app
    init: sed -i '/sonatype/d' ../build.gradle
    gradle:
      - fdroid
    forceversion: true
    prebuild: sed -i -e 's/enable true/enable false/' -e '/defaultConfig {/a ndk{abiFilters
        "arm64-v8a", "armeabi-v7a", "x86", "x86_64"}' build.gradle

  - versionName: r/2.7.266-r-2018-11-26
    versionCode: 266
    commit: r/2.7.266-r-2018-11-26
    subdir: app
    init: sed -i '/sonatype/d' ../build.gradle
    gradle:
      - fdroid
    forceversion: true
    prebuild: sed -i -e 's/enable true/enable false/' -e '/defaultConfig {/a ndk{abiFilters
        "arm64-v8a", "armeabi-v7a", "x86", "x86_64"}' build.gradle

  - versionName: r/2.7.268-r-2018-12-07
    versionCode: 268
    commit: r/2.7.268-r-2018-12-07
    subdir: app
    init: sed -i '/sonatype/d' ../build.gradle
    gradle:
      - fdroid
    forceversion: true
    prebuild: sed -i -e 's/enable true/enable false/' -e '/defaultConfig {/a ndk{abiFilters
        "arm64-v8a", "armeabi-v7a", "x86", "x86_64"}' build.gradle

  - versionName: r/2.7.270-r-2019-02-26
    versionCode: 270
    commit: r/2.7.270-r-2019-02-26
    subdir: app
    init: sed -i '/sonatype/d' ../build.gradle
    gradle:
      - fdroid
    forceversion: true
    prebuild: sed -i -e 's/enable true/enable false/' -e '/defaultConfig {/a ndk{abiFilters
        "arm64-v8a", "armeabi-v7a", "x86", "x86_64"}' build.gradle

  - versionName: r/2.7.273-r-2019-03-22
    versionCode: 273
    commit: r/2.7.273-r-2019-03-22
    subdir: app
    init: sed -i '/sonatype/d' ../build.gradle
    gradle:
      - fdroid
    forceversion: true
    prebuild: sed -i -e 's/enable true/enable false/' -e '/defaultConfig {/a ndk{abiFilters
        "arm64-v8a", "armeabi-v7a", "x86", "x86_64"}' build.gradle

  - versionName: r/2.7.275-r-2019-03-25
    versionCode: 275
    commit: r/2.7.275-r-2019-03-25
    subdir: app
    init: sed -i '/sonatype/d' ../build.gradle
    gradle:
      - fdroid
    forceversion: true
    prebuild: sed -i -e 's/enable true/enable false/' -e '/defaultConfig {/a ndk{abiFilters
        "arm64-v8a", "armeabi-v7a", "x86", "x86_64"}' build.gradle

  - versionName: r/2.7.276-r-2019-03-27
    versionCode: 276
    commit: r/2.7.276-r-2019-03-27
    subdir: app
    init: sed -i '/sonatype/d' ../build.gradle
    gradle:
      - fdroid
    forceversion: true
    prebuild: sed -i -e 's/enable true/enable false/' -e '/defaultConfig {/a ndk{abiFilters
        "arm64-v8a", "armeabi-v7a", "x86", "x86_64"}' build.gradle

  - versionName: r/2.7.278-r-2019-04-05
    versionCode: 278
    commit: r/2.7.278-r-2019-04-05
    subdir: app
    init: sed -i '/sonatype/d' ../build.gradle
    gradle:
      - fdroid
    forceversion: true
    prebuild: sed -i -e 's/enable true/enable false/' -e '/defaultConfig {/a ndk{abiFilters
        "arm64-v8a", "armeabi-v7a", "x86", "x86_64"}' build.gradle

  - versionName: r/2.7.279-r-2019-04-22
    versionCode: 279
    commit: r/2.7.279-r-2019-04-22
    subdir: app
    init: sed -i '/sonatype/d' ../build.gradle
    gradle:
      - fdroid
    forceversion: true
    prebuild: sed -i -e 's/enable true/enable false/' -e '/defaultConfig {/a ndk{abiFilters
        "arm64-v8a", "armeabi-v7a", "x86", "x86_64"}' build.gradle

  - versionName: r/2.7.280-r-2019-05-01
    versionCode: 280
    commit: r/2.7.280-r-2019-05-01
    subdir: app
    init: sed -i '/sonatype/d' ../build.gradle
    gradle:
      - fdroid
    forceversion: true
    prebuild: sed -i -e 's/enable true/enable false/' -e '/defaultConfig {/a ndk{abiFilters
        "arm64-v8a", "armeabi-v7a", "x86", "x86_64"}' build.gradle

  - versionName: r/2.7.50282-r-2019-05-24
    versionCode: 50282
    commit: r/2.7.50282-r-2019-05-24
    subdir: app
    init: sed -i '/sonatype/d' ../build.gradle
    gradle:
      - fdroid
    forceversion: true
    prebuild: sed -i -e 's/enable true/enable false/' -e '/defaultConfig {/a ndk{abiFilters
        "arm64-v8a", "armeabi-v7a", "x86", "x86_64"}' build.gradle

  - versionName: r/2.7.50308-r-2020-01-06
    versionCode: 50308
    commit: r/2.7.50308-r-2020-01-06
    subdir: app
    init: sed -i '/sonatype/d' ../build.gradle
    gradle:
      - fdroid
    forceversion: true
    prebuild: sed -i -e 's/enable true/enable false/' -e '/defaultConfig {/a ndk{abiFilters
        "arm64-v8a", "armeabi-v7a", "x86", "x86_64"}' build.gradle

  - versionName: r/2.7.50320-r-2020-05-20
    versionCode: 50320
    commit: r/2.7.50320-r-2020-05-20
    subdir: app
    init: sed -i '/sonatype/d' ../build.gradle
    gradle:
      - fdroid
    forceversion: true
    prebuild: sed -i -e 's/enable true/enable false/' -e '/defaultConfig {/a ndk{abiFilters
        "arm64-v8a", "armeabi-v7a", "x86", "x86_64"}' build.gradle
    scanignore:
      - app/build.gradle

  - versionName: r/2.7.50322-r-2020-06-08
    versionCode: 50322
    commit: r/2.7.50322-r-2020-06-08
    subdir: app
    init: sed -i '/sonatype/d' ../build.gradle
    gradle:
      - fdroid
    forceversion: true
    prebuild: sed -i -e 's/enable true/enable false/' -e '/defaultConfig {/a ndk{abiFilters
        "arm64-v8a", "armeabi-v7a", "x86", "x86_64"}' build.gradle
    scanignore:
      - app/build.gradle

  - versionName: r/2.7.50324-r-2020-06-29
    versionCode: 50324
    commit: r/2.7.50324-r-2020-06-29
    subdir: app
    gradle:
      - fdroid
    forceversion: true

  - versionName: r/2.7.50329-r-2020-08-03
    versionCode: 50329
    commit: r/2.7.50329-r-2020-08-03
    subdir: app
    gradle:
      - fdroid
    forceversion: true

  - versionName: r/2.7.50330-r-2020-08-04
    versionCode: 50330
    commit: r/2.7.50330-r-2020-08-04
    subdir: app
    gradle:
      - fdroid
    forceversion: true

  - versionName: r/2.7.50332-r-2020-09-28
    versionCode: 50332
    commit: r/2.7.50332-r-2020-09-28
    subdir: app
    gradle:
      - fdroid
    forceversion: true

  - versionName: r/2.7.50333-r-2020-10-06
    versionCode: 50333
    commit: r/2.7.50333-r-2020-10-06
    subdir: app
    gradle:
      - fdroid
    forceversion: true

  - versionName: r/2.7.50334-r-2020-11-02
    versionCode: 50334
    commit: r/2.7.50334-r-2020-11-02
    subdir: app
    gradle:
      - fdroid
    forceversion: true
    prebuild: echo 'android { lintOptions { abortOnError false } }' >> build.gradle

  - versionName: r/2.7.50337-r-2020-12-04
    versionCode: 50337
    commit: r/2.7.50337-r-2020-12-04
    subdir: app
    gradle:
      - fdroid
    forceversion: true
    prebuild: echo 'android { lintOptions { abortOnError false } }' >> build.gradle

  - versionName: r/2.7.50340-r-2021-01-29
    versionCode: 50340
    commit: r/2.7.50340-r-2021-01-29
    subdir: app
    gradle:
      - fdroid
    forceversion: true
    prebuild: echo 'android { lintOptions { abortOnError false } }' >> build.gradle

  - versionName: r/2.7.50341-r-2021-02-02
    versionCode: 50341
    commit: r/2.7.50341-r-2021-02-02
    subdir: app
    gradle:
      - fdroid
    forceversion: true
    prebuild: echo 'android { lintOptions { abortOnError false } }' >> build.gradle

  - versionName: r/2.7.50342-r-2021-02-12
    versionCode: 50342
    commit: r/2.7.50342-r-2021-02-12
    subdir: app
    gradle:
      - fdroid
    forceversion: true
    prebuild: echo 'android { lintOptions { abortOnError false } }' >> build.gradle

  - versionName: r/2.7.50343-r-2021-02-17
    versionCode: 50343
    commit: r/2.7.50343-r-2021-02-17
    subdir: app
    gradle:
      - fdroid
    forceversion: true
    prebuild: echo 'android { lintOptions { abortOnError false } }' >> build.gradle

  - versionName: r/2.7.50344-r-2021-03-02
    versionCode: 50344
    commit: r/2.7.50344-r-2021-03-02
    subdir: app
    gradle:
      - fdroid
    forceversion: true
    prebuild: echo 'android { lintOptions { abortOnError false } }' >> build.gradle

  - versionName: r/2.7.50345-r-2021-03-04
    versionCode: 50345
    commit: r/2.7.50345-r-2021-03-04
    subdir: app
    gradle:
      - fdroid
    forceversion: true
    prebuild: echo 'android { lintOptions { abortOnError false } }' >> build.gradle

  - versionName: r/2.7.50348-r-2021-03-19
    versionCode: 50348
    commit: r/2.7.50348-r-2021-03-19
    subdir: app
    gradle:
      - fdroid
    forceversion: true
    prebuild: echo 'android { lintOptions { abortOnError false } }' >> build.gradle

  - versionName: r/2.7.50349-r-2021-03-31
    versionCode: 50349
    commit: r/2.7.50349-r-2021-03-31
    subdir: app
    gradle:
      - fdroid
    forceversion: true
    prebuild: echo 'android { lintOptions { abortOnError false } }' >> build.gradle

MaintainerNotes: |-
    * whitelist app/build.gradle for microsoft appcenter SDK. It's actually open source but might
      pull in google dependencies. In this case it doesn't
      Ref: https://phabricator.wikimedia.org/T254980
    * versionname is timebased and generated on build; force it. Also remove the timestamp.
    * we disable gradle abi splits because using the universal apk is easier for us for now.
    * ndk abifilters line is added as otherwise stray mips/armeabi .so files are added to the apk

AutoUpdateMode: Version %v
UpdateCheckMode: Tags ^r
CurrentVersion: r/2.7.50349-r-2021-03-31
CurrentVersionCode: 50349
